#!/usr/bin/python3

import cgi
import cgitb

import sys

cgitb.enable()

error = False

try:
    # FieldStorage-Instanz erzeugen
    form = cgi.FieldStorage(encoding='utf8')

    # Zugriff auf die Parameter (nach Integer konvertieren!)
    s1 = int(form.getvalue('s1'))
    s2 = int(form.getvalue('s2'))

    # Summe berechnen
    my_sum = s1 + s2

except:
    error = True

# Ausgabe
print("Content-type: text/html\n")

print("""
<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="utf-8">
    <title>Summenrechner</title>
</head>
<body>

""")

if error:
    print("<h1>Fehler</h1><p>Bei der Abarbeitung ist ein Fehler aufgetreten. Wurden zwei Summanden &uuml;bergeben?</p>")

else:
    print("""
        <h1>Summe</h1>

        <p>Die Summe aus {} und {} betr&auml;gt {}</p>
    """.format(s1, s2, my_sum))

print("""
</body>
</html>
""")
